# class Byebug::VarCommand::GlobalCommand

Shows global variables

### Public Class Methods

description() click to toggle source

    # File lib/byebug/commands/var/global.rb, line 20
          def self.description
            <<-DESCRIPTION
              v[ar] g[lobal]

              #{short_description}
            DESCRIPTION
          end

regexp() click to toggle source

    # File lib/byebug/commands/var/global.rb, line 16
    def self.regexp
      /^\s* g(?:lobal)? \s*$/x
    end

short_description() click to toggle source

    # File lib/byebug/commands/var/global.rb, line 28
    def self.short_description
      "Shows global variables."
    end

### Public Instance Methods

execute() click to toggle source

    # File lib/byebug/commands/var/global.rb, line 32
    def execute
      var_global
    end